gnutls_ia_permute_inner_secret(3)

NAME
gnutls_ia_permute_inner_secret - API function

SYNOPSIS
#include <gnutls/extra.h>

int gnutls_ia_permute_inner_secret(gnutls_session_t session, size_t session_keys_size, const char * session_keys);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

size_t session_keys_size
    Size of generated session keys (0 if none).

const char * session_keys
    Generated session keys, used to permute inner secret (NULL if none).

DESCRIPTION
Permute the inner secret using the generated session keys. This can be called in the TLS/IA AVP callback to mix any generated session keys with the TLS/IA inner secret.

RETURN VALUE
Return zero on success, or a negative error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.